<ng-container>
  <sqtm-core-customisable-dialog
    [titleKey]="
      'sqtm-core.campaign-workspace.dialog.title.execution-detail' | translate
    "
    [attr.data-test-dialog-id]="'automated-suite-exec-detail'"
  >
    <sqtm-core-dialog-body>
      <div class="full-height full-width flex-column">
        <sqtm-core-grid class="full-width full-height"></sqtm-core-grid>
      </div>
    </sqtm-core-dialog-body>

    <sqtm-core-dialog-footer>
      <button
        [attr.data-test-dialog-button-id]="'refresh'"
        class="m-t-5 m-r-10"
        nz-button
        nzType="default"
        (click)="refreshPage()"
      >
        {{ 'sqtm-core.generic.label.refresh' | translate }}
      </button>
      <button
        [attr.data-test-dialog-button-id]="'close'"
        class="m-t-5"
        nz-button
        nzType="default"
        sqtmCoreDialogClose
      >
        {{ 'sqtm-core.generic.label.close' | translate }}
      </button>
    </sqtm-core-dialog-footer>
  </sqtm-core-customisable-dialog>
</ng-container>
